| Home | Libraries | People | FAQ | More

##### static_url_base::c_str

(Inherited from `url_base`)

Return the url as a null-terminated string.

###### Synopsis

    char const*
    c_str() const;

###### Description

This function returns a pointer to a null terminated string representing the url, which may contain percent escapes.

###### Example

    assert( std::strlen( url( "http://www.example.com" ).c_str() ) == 22 );

###### Complexity

Constant.

###### Exception Safety

Throws nothing.